hotel.data<- read.csv(file="C:/./Example6.2Data.csv", 
header=TRUE, sep=",")

library(VGAM)

#fitting truncated negative binomial model
summary(fitted.model<- vglm(ncomplaints ~ floor + member +
days, data=hotel.data, family=posnegbinomial()))

#checking model fit
null.model<- vglm(ncomplaints ~ 1, data=hotel.data,family=posnegbinomial())
print(deviance<- -2*(logLik(null.model)-logLik(fitted.model)))
print(p.value<- pchisq(deviance, df=3, lower.tail=FALSE))

#using fitted model for prediction
print(predict(fitted.model, data.frame(floor=4, member="yes", 
days=2), type="response"))
